# Class CIM_ConfigurationForSystem
extends CIM_HostedDependency

Note: The use of this element is deprecated. Deprecated description: CIM_ConfigurationForSystem defines a Configuration in the context of the System on which it is located. Because the Configuration class is deprecated, this association is similarly deprecated.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Dependency
|
+--CIM_HostedDependency
|
+--CIM_ConfigurationForSystem

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Association | boolean | true
Deprecated | string | CIM_ScopedSetting, CIM_SettingForSystem
Description | string | Note: The use of this element is deprecated. Deprecated description: CIM_ConfigurationForSystem defines a Configuration in the context of the System on which it is located. Because the Configuration class is deprecated, this association is similarly deprecated.
UMLPackagePath | string | CIM::Core::Settings
Version | string | 2.10.0

## Class Properties

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
Antecedent | CIM_ConfigurationForSystem | CIM_System
Dependent | CIM_ConfigurationForSystem | CIM_SystemConfiguration

## Class Methods